Bug 1899951 - python-autopep8: FTBFS in Fedora 33 and rawhide
Summary: python-autopep8: FTBFS in Fedora 33 and rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-autopep8
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Runge
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F33FTBFS F34FTBFS PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2020-11-20 12:59 UTC by Tomáš Hrnčiar
Modified: 2020-12-07 08:35 UTC (History)
4 users (show)

Fixed In Version: python-autopep8-1.5.4-1.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-07 08:28:53 UTC
Type: Bug


Attachments (Terms of Use)
build.log from Koji (53.06 KB, text/plain)
2020-11-20 14:21 UTC, Miro Hrončok
no flags Details
root.log from Koji (85.97 KB, text/plain)
2020-11-20 14:22 UTC, Miro Hrončok
no flags Details

Description Tomáš Hrnčiar 2020-11-20 12:59:18 UTC
Package python-autopep8 fails to build from source in Fedora rawhide.

https://koji.fedoraproject.org/koji/packageinfo?packageID=14682

Comment 1 Miro Hrončok 2020-11-20 14:21:23 UTC
======================================================================
FAIL: test_e501_experimental_decorator (test.test_autopep8.ExperimentalSystemTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/autopep8-1.4.3/test/test_autopep8.py", line 6172, in test_e501_experimental_decorator
    self.assertEqual(fixed, result)
AssertionError: "\n\n@foo(('xxxxxxxxxxxxxxxxxxxxxxxxxx', u[123 chars]))\n" != "@foo(('xxxxxxxxxxxxxxxxxxxxxxxxxx', users[119 chars]))\n"
- 
- 
  @foo(('xxxxxxxxxxxxxxxxxxxxxxxxxx', users.xxxxxxxxxxxxxxxxxxxxxxxxxx),
       ('yyyyyyyyyyyy', users.yyyyyyyyyyyy),
       ('zzzzzzzzzzzzzz', users.zzzzzzzzzzzzzz))
======================================================================
FAIL: test_e501_experimental_with_function_should_not_break_on_colon (test.test_autopep8.ExperimentalSystemTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/autopep8-1.4.3/test/test_autopep8.py", line 5776, in test_e501_experimental_with_function_should_not_break_on_colon
    self.assertEqual(fixed, result)
AssertionError: '\ncl[112 chars]et or(\n                widget.__class__ == Wi[88 chars]se\n' != '\ncl[112 chars]et or (\n                widget.__class__ == W[89 chars]se\n'
  
  class Useless(object):
  
      def _table_field_is_plain_widget(self, widget):
-         if widget.__class__ == Widget or(
+         if widget.__class__ == Widget or (
?                                         +
                  widget.__class__ == WidgetMeta and Widget in widget.__bases__):
              return True
  
          return False
======================================================================
FAIL: test_e501_more_aggressive_with_def (test.test_autopep8.SystemTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/autopep8-1.4.3/test/test_autopep8.py", line 3533, in test_e501_more_aggressive_with_def
    self.assertEqual(fixed, result)
AssertionError: '\n\ndef foobar(\n        sldfkjlsdfsdf,\n[179 chars]ss\n' != 'def foobar(\n        sldfkjlsdfsdf,\n    [175 chars]ss\n'
- 
- 
  def foobar(
          sldfkjlsdfsdf,
          kksdfsdfsf,
          sdfsdfsdf,
          sdfsdfkdk,
          szdfsdfsdf,
          sdfsdfsdfsdlkfjsdlf,
          sdfsdfddf,
          sdfsdfsfd,
          sdfsdfdsf):
      pass
----------------------------------------------------------------------
Ran 532 tests in 11.947s
FAILED (failures=3, skipped=5)

Comment 2 Miro Hrončok 2020-11-20 14:21:43 UTC
Created attachment 1731278 [details]
build.log from Koji

Comment 3 Miro Hrončok 2020-11-20 14:22:01 UTC
Created attachment 1731279 [details]
root.log from Koji

Comment 4 Fedora Release Engineering 2020-12-06 04:22:36 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 34.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-01-15).

A week before the mass branching of Fedora 35 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 33 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html


Note You need to log in before you can comment on or make changes to this bug.